## org.apache.poi.xslf.usermodel
Class XSLFDrawing

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFDrawing

    @Beta
    public class XSLFDrawing

extends java.lang.Object

Author:
  Yegor Kozlov

Method Summary
`XSLFAutoShape` `createAutoShape()`
`XSLFConnectorShape` `createConnector()`
`XSLFFreeformShape` `createFreeform()`
`XSLFGroupShape` `createGroup()`
`XSLFPictureShape` `createPicture(java.lang.String rel)`
`XSLFTable` `createTable()`
`XSLFTextBox` `createTextBox()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createAutoShape

    public XSLFAutoShape createAutoShape()

### createFreeform

    public XSLFFreeformShape createFreeform()

### createTextBox

    public XSLFTextBox createTextBox()

### createConnector

    public XSLFConnectorShape createConnector()

### createGroup

    public XSLFGroupShape createGroup()

### createPicture

    public XSLFPictureShape createPicture(java.lang.String rel)

### createTable

    public XSLFTable createTable()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.